#ifndef __ORDER_TASK_H_INCLUDED__
#define __ORDER_TASK_H_INCLUDED__

#include "imtask.h"
#include "editiface.h"


class IMOrderTask : public IMTask
{
private:
  IMEditIface m_editIface;

  void usage(char * progName);

public:
  IMOrderTask(const RETRY_PARAM& param);
  virtual ~IMOrderTask();
  
  virtual int Run(int argc, char* argv[], int retry);

  // Inherited methods
  // virtual int CalcRetrySec(int retry);
  // virtual DrWatson *GetWatsonMessage(int argc, const char* argv[], int retry, int returncode);
};

#endif // __ORDER_TASK_H_INCLUDED__
