#ifndef __REPORT_TASK_H_INCLUDED__
#define __REPORT_TASK_H_INCLUDED__

#include "imtask.h"
#include "reportiface.h"

class DimsenEventList;

class IMReportTask : public IMTask
{
private:
  IMReportIface m_reportIface;

  void usage(char * progName);

public:
  IMReportTask(const RETRY_PARAM& param);
  virtual ~IMReportTask();
  
  virtual int Run(int argc, char* argv[], int retry);

  // Inherited methods
  // virtual int CalcRetrySec(int retry);
  // virtual DrWatson *GetWatsonMessage(int argc, const char* argv[], int retry, int returncode);
};

#endif // __REPORT_TASK_H_INCLUDED__
