/*
 * ruler.h
 *
 *  Created on: Aug 28, 2013
 *      Author: tnemeth
 */

#ifndef RULER_H_
#define RULER_H_


namespace impsconverter {

class Ruler : public Annotation {
	private:

		/** End index of the ruler - X coordinate */
		int m_endX;
		/** End index of the ruler - Y coordinate */
		int m_endY;

		/** Indicates whether tick marks to be displayed or not (in eRAD viewer) */
		bool m_showTickMarks;

		/** Label for the ruler */
		OFString m_label;

		virtual bool parseSpecific( const OFString & type, const OFString & annSpecific );

		virtual bool createCompound();
		virtual bool createSimple();
		virtual bool createText();


	public:
		Ruler( PresentationState * presentationState );
		virtual ~Ruler();

};


}

#endif /* RULER_H_ */
