/*
 * ruler.h
 *
 *  Created on: Aug 28, 2013
 *      Author: tnemeth
 */

#ifndef OVAL_H_
#define OVAL_H_


namespace impsconverter {

class Oval : public Annotation {
	private:

		/** X size of the oval */
		int m_sizeX;
		/** Y size of the oval */
		int m_sizeY;

		/** Label for the ruler */
		OFString m_label;

		virtual bool parseSpecific( const OFString & type, const OFString & annSpecific );

		virtual bool createCompound();
		virtual bool createSimple();
		virtual bool createText();


	public:
		Oval( PresentationState * presentationState );
		virtual ~Oval();

};


}

#endif /* OVAL_H_ */
